Bug 1789993 - Don't save state/identifiers related to transient things in /persistent files
Summary: Don't save state/identifiers related to transient things in /persistent files
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Ricardo Carrillo Cruz
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-10 23:11 UTC by Kirsten Garrison
Modified: 2020-01-22 15:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-22 15:58:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1787581 unspecified CLOSED OCP 4.2.12: ingress and network operators degraded after upgrade to 4.3 2020-10-14 00:28:05 UTC

Description Kirsten Garrison 2020-01-10 23:11:04 UTC
Description of problem:

Underlying cause of #1787581, opening BZ as per Colin's request here: https://github.com/openshift/machine-config-operator/pull/1361#issuecomment-572737805


SDN is currently saving state/identifiers related to transient things in persistent files ie: /var/lib/cni/networks/openshift-sdn/  

/run should be used for this.

#1787581 is a fix (explicitly removing this dir on reboot) but SDN should be modified to use /run not /var for this in the first place.

Comment 1 Dan Williams 2020-01-13 15:50:04 UTC
It's possible to move the directory, and it probably should be done. FWIW /var/lib/cni/networks is the default upstream default directory in CNI. Moving would require (1) updating hte mounted directories in the CNO, and (2) changing the openshift-sdn host-local IPAM CNI config to add the 'dataDir' option in the CNI config JSON to point to where we want it. That would be clearer than playing games with the container mounts.

However, the big issue would be upgrades-without-reboot; when the new openshift-sdn starts it would no longer see existing pod IP leases because it would be looking at a new directory. So we'd have to figure out how to copy stuff over from the old dir to the new dir, or something like that.

Comment 2 Ricardo Carrillo Cruz 2020-01-22 15:58:18 UTC
Opened JIRA card for tracking this:

https://issues.redhat.com/browse/SDN-781

Closing BZ.


Note You need to log in before you can comment on or make changes to this bug.